Package org.springframework.web.service.invoker

# Interface HttpRequestValues.Metadata

All Known Implementing Classes:
  `HttpRequestValues.Builder`, `ReactiveHttpRequestValues.Builder`

Enclosing class:
  HttpRequestValues

public static interface HttpRequestValues.Metadata
Expose static metadata from `@HttpExchange` annotation attributes.

Since:
  6.2

## Method Summary

Modifier and Type
Method
Description
`List<MediaType>`
`getAcceptMediaTypes()`
Return the acceptable media types, if set already.
`MediaType`
`getContentType()`
Return the content type, if set already.
`HttpMethod`
`getHttpMethod()`
Return the HTTP method, if known.
`String`
`getUriTemplate()`
Return the URI template, if set already.

## Method Details

### getHttpMethod

@Nullable HttpMethod getHttpMethod()
Return the HTTP method, if known.

### getUriTemplate

@Nullable String getUriTemplate()
Return the URI template, if set already.

### getContentType

@Nullable MediaType getContentType()
Return the content type, if set already.

### getAcceptMediaTypes

@Nullable List<MediaType> getAcceptMediaTypes()
Return the acceptable media types, if set already.